Skip to main content
GET
/
api
/
v1
/
pricing
/
quote
Get price quote
curl --request GET \
  --url https://api.luxxon.dev/api/v1/api/v1/pricing/quote \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "message": "Request successful",
  "data": {
    "quoteId": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
    "ratePerSecondMicroUsdc": "1000",
    "estimatedTotalMicroUsdc": "600000",
    "supplyFactor": 1,
    "demandFactor": 1,
    "corridorMultiplier": 1,
    "baseRatePerSecondMicroUsdc": "1000",
    "expiresAt": "2026-05-13T11:35:00.000Z"
  },
  "timestamp": "2026-05-13T12:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-lx-consistency-token
string

Query Parameters

lat
string
required
Example:

"4.66"

lng
string
required
Example:

"-74.05"

durationSeconds
string
required
Example:

"600"

Response

Request successful

statusCode
number
required
Example:

200

message
string
required
Example:

"Request successful"

data
object
required

Endpoint-specific payload. See the per-endpoint schema.

timestamp
string
required
Example:

"2026-05-13T12:00:00.000Z"